Real Time Open Sound Control librtosc: rtosc::AutomationMgr Class Reference

Real Time Open Sound Control librtosc

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
rtosc::AutomationMgr Class Reference

## Public Member Functions
| AutomationMgr (int slots, int per_slot, int control_points)
void | createBinding (int slot, const char *path, bool start_midi_learn)
| Create an Automation binding.
void | updateMapping (int slot, int sub)
void | setSlot (int slot_id, float value)
void | setSlotSub (int slot_id, int sub, float value)
float | getSlot (int slot_id)
void | clearSlot (int slot_id)
void | clearSlotSub (int slot_id, int sub)
void | setSlotSubPath (int slot_id, int sub, const char *msg)
void | setSlotSubGain (int slot_id, int sub, float f)
float | getSlotSubGain (int slot_id, int sub)
void | setSlotSubOffset (int slot_id, int sub, float f)
float | getSlotSubOffset (int slot_id, int sub)
void | setName (int slot_id, const char *msg)
const char * | getName (int slot_id)
bool | handleMidi (int channel, int cc, int val)
void | setparameternumber (unsigned int type, int value)
int | getnrpn (int *parhi, int *parlo, int *valhi, int *vallo)
void | set_ports (const struct Ports &p)
void | set_instance (void *v)
void | simpleSlope (int slot, int au, float slope, float offset)
int | free_slot (void) const

## Public Attributes
AutomationSlot * | slots
int | nslots
int | per_slot
int | active_slot
int | learn_queue_len
struct AutomationMgrImpl * | impl
const rtosc::Ports * | p
void * | instance
std::function< void(const char *)> | backend
int | damaged

## Member Function Documentation

## ◆ createBinding()

void rtosc::AutomationMgr::createBinding | ( | int | slot,
|  | const char * | path,
|  | bool | start_midi_learn )

Create an Automation binding.

- Assumes that each binding takes a new automation slot unless learning a macro
- Can trigger a MIDI learn (recommended for standalone and not recommended for plugin modes)

The documentation for this class was generated from the following file:

- /build/rtosc/src/rtosc-0.3.1/include/rtosc/automations.h